Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.errai.reflections.util
Class FilterBuilder.Matcher

    java.lang.Object
      org.jboss.errai.reflections.util.FilterBuilder
          org.jboss.errai.reflections.util.FilterBuilder.Matcher

All Implemented Interfaces:
  com.google.common.base.Predicate<java.lang.String>

Direct Known Subclasses:
  FilterBuilder.Exclude, FilterBuilder.Include

Enclosing class:
  FilterBuilder

    public abstract static class FilterBuilder.Matcher

extends FilterBuilder

Nested Class Summary

Nested classes/interfaces inherited from class org.reflections.util.FilterBuilder
`FilterBuilder.Exclude, FilterBuilder.Include, FilterBuilder.Matcher`

Constructor Summary
`FilterBuilder.Matcher(java.lang.String regex)`

Method Summary
`abstract boolean` | `apply(java.lang.String regex)`
`java.lang.String` | `toString()`

Methods inherited from class org.reflections.util.FilterBuilder
`add, exclude, excludePackage, include, includePackage, parse, prefix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.common.base.Predicate
`equals`

Constructor Detail

### FilterBuilder.Matcher

    public FilterBuilder.Matcher(java.lang.String regex)

Method Detail

### apply

    public abstract boolean apply(java.lang.String regex)

  Specified by:
    `apply` in interface `com.google.common.base.Predicate<java.lang.String>`
  Overrides:
    `apply` in class `FilterBuilder`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `FilterBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.